# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

import time
from lvestats.core.plugin import LveStatsPlugin
from lvestats.lib.commons.func import reboot_lock


def sleep():
    for _ in range(100):
        time.sleep(0.1)


class TestPlugin(LveStatsPlugin):
    def execute(self, lve_data):
        with reboot_lock():
            sleep()
        sleep()
