#!/usr/bin/env bats
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#

load helpers/test_helper;

@test "test lveinfo" {
  run bash -o pipefail -c "lveinfo | head -c0"
  assert_output "";
  assert_different "$status" 1;
}

@test "test lvechart" {
  run bash -o pipefail -c "lvechart --user user1 --period 1m | head -c0"
  assert_output "";
  assert_different "$status" 1;
}

@test "test cloudlinux-top" {
  run bash -o pipefail -c "cloudlinux-top --json | head -c0"
  assert_output "";
  assert_different "$status" 1;
}

@test "test cloudlinux-statistics" {
  run bash -o pipefail -c "cloudlinux-statistics --json | head -c0"
  assert_output "";
  assert_different "$status" 1;
}

@test "test dbgovchart" {
  run bash -o pipefail -c "dbgovchart --user user1 --period 1m | head -c0"
  assert_output "";
  assert_different "$status" 1;
}
